# vim: set ft=spec: -*- spec -*-
# $Id: xscreensaver,v 1.18 2005/08/12 08:30:20 raorn Exp $

%define _libexecdir /usr/libexec

# xscreensaver RPM macros (keep in sync with Source5):
%define xss_hack_dir	%_libexecdir/%name
%define xss_conf_dir	%_datadir/%name/config
%define xss_ad_dir	%_sysconfdir/X11/%name/hack.d

%define _update_xscreensaver_bin %_bindir/update-%name
%define update_xscreensaver	[ "$1" = 1 -a -x %_update_xscreensaver_bin ] && %_update_xscreensaver_bin ||:
%define clean_xscreensaver	[ -x %_update_xscreensaver_bin ] && %_update_xscreensaver_bin ||:
#

Name: xscreensaver
Version: 4.22
Release: alt2
Summary: A screen saver and locker for the X window system
License: BSD
Group: Graphical desktop/Other
Url: http://www.jwz.org/%name
Packager: Sir Raorn <raorn@altlinux.ru>

Source: %url/%name-%version.tar.gz
Source1: %name.pamd
#Source2: %name-capplet.png
Source3: %name-update.sh
Source4: %name-%version-ad.tar.bz2

Patch: %name-4.22-alt-mdk-oneshot.patch
Patch1: %name-4.11-alt-pam_userpass.patch
Patch2: %name-4.08-alt-progname.patch
Patch4: %name-4.11-alt-encoding.patch
Patch5: %name-4.08-cyrilm-alt-maze_walk.patch
Patch6: %name-4.11-alt-glplanet-args.patch
Patch7: %name-4.22-alt-perl-disable-diagnostics.patch
Patch8: %name-4.22-alt-setgroups.patch
Patch9: %name-4.22-alt-double-free.patch

Requires: xli urlview
Requires: %name-hack
Provides: %name-contrib = %version-%release
Obsoletes: %name-contrib

# Depends on Patch1
%set_autoconf_version 2.5
BuildPreReq: autoconf_2.5

# Automatically added by buildreq on Mon Apr 14 2003 and filtered by raorn
BuildRequires: xorg-x11-devel bc fontconfig fortune-mod glib2-devel libGLU-devel libatk-devel libglade2-devel libgle-devel libgtk+2-devel libjpeg-devel libpam-devel libpango-devel libxml2-devel menu-devel pam_userpass-devel pkgconfig xpm-devel zlib-devel

%description
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

%package devel
Summary: A screen saver and locker for the X window system - RPM macros
Group: Development/Other
Conflicts: %name > %version-%release
Conflicts: %name < %version-%release
PreReq: %_sysconfdir/rpm/macros.d

%description devel
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

This package contains RPM macros needed to build packages
for additional xscreensaver hacks.

%package hacks
Summary: A screen saver and locker for the X window system - standard hacks
Group: Graphical desktop/Other
Requires: %name = %version-%release
Provides: %name-hack = %version-%release
# By webcollage...
Requires: netpbm libjpeg-utils
# By noseguy and phosphor
Requires: fortune-mod

%description hacks
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

This package contains standard hacks.

%package hacks-gl
Summary: A screen saver and locker for the X window system - GL hacks
Group: Graphical desktop/Other
Requires: %name = %version-%release
Provides: %name-hack = %version-%release
Provides: %name-gl = %version-%release
Obsoletes: %name-gl
# By starwars
Requires: fortune-mod

%description hacks-gl
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

This package contains OpenGL hacks.

%package frontend
Summary: A screen saver and locker for the X window system - configuration frontend
Group: Graphical desktop/Other
Requires: %name = %version-%release
Provides: %name-gnome = %version-%release
Obsoletes: %name-gnome

%description frontend
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

This package contains xscreensaver configuration frontend.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
%__autoconf
%configure \
  --without-motif \
  --with-pam \
  --without-shadow \
  --with-gl \
  --without-pixbuf \
  --without-mit-ext

%make_build

%install
%__mkdir_p %buildroot{%_x11bindir,%_bindir,%_sysconfdir/{rpm/macros.d,X11/{app-defaults,%name}},%_menudir,%_sysconfdir/pam.d,%_datadir/pixmaps}
%make_install install_prefix=%buildroot \
  KDEDIR=%_prefix \
  GNOME_BINDIR=%_bindir \
  AD_DIR=%_sysconfdir/X11/app-defaults \
  install

# COMPAT
for i in xscreensaver xscreensaver-command xscreensaver-demo; do
  %__ln_s "%_bindir/$i" "%buildroot%_x11bindir/$i"
done

%__install -m640 %SOURCE1 %buildroot%_sysconfdir/pam.d/%name
%__install -m755 %SOURCE3 %buildroot%_bindir/update-%name

%__cat <<EOF >%buildroot%_sysconfdir/rpm/macros.d/%name
%%xss_hack_dir	%xss_hack_dir	
%%xss_conf_dir	%xss_conf_dir	
%%xss_ad_dir	%xss_ad_dir	

%%_update_xscreensaver_bin %_bindir/update-%name
%%update_xscreensaver	[ "\$1" = 1 -a -x %_update_xscreensaver_bin ] && %_update_xscreensaver_bin ||:
%%clean_xscreensaver	[ -x %_update_xscreensaver_bin ] && %_update_xscreensaver_bin ||:
EOF

%__tar xjf %SOURCE4 -C %buildroot%_sysconfdir/X11/%name

%Md2m \
	%name-frontend \
	"Configuration/Other" \
	%buildroot%_datadir/applications/gnome-screensaver-properties.desktop \
	%buildroot%_menudir/%name-frontend \
	"x11" \
	"XScreenSaver"

%find_lang %name

%triggerpostun -- %name < 4.22-alt2, %name-hacks < 4.22-alt2, %name-hacks-gl < 4.22-alt2, %name-hacks-rss_glx < 0.7.4-alt3.1.2
[ $2 -gt 0 ] || exit 0
[ -x %_update_xscreensaver_bin ] && %_update_xscreensaver_bin ||:

%post
%update_xscreensaver

%post hacks
%update_xscreensaver

%post hacks-gl
%update_xscreensaver

%post frontend
%update_menus

%postun hacks
%clean_xscreensaver

%postun hacks-gl
%clean_xscreensaver

%postun frontend
%clean_menus

%files
%doc README README.debugging INSTALL
%verify(not md5 size mtime) %ghost %config(missingok) %_sysconfdir/X11/app-defaults/XScreenSaver
%dir %_sysconfdir/X11/%name
%dir %xss_ad_dir
%doc %xss_conf_dir/README
%config %xss_ad_dir/cosmos.xss
%config %xss_ad_dir/electricsheep.xss
%config %xss_ad_dir/goban.xss
%config %xss_ad_dir/fireflies.xss
%config %xss_ad_dir/sphereeversion.xss
%config %xss_ad_dir/xaos.xss
%config %xss_ad_dir/xdaliclock.xss
%config %xss_ad_dir/xearth.xss
%config %xss_ad_dir/xfishtank.xss
%config %xss_ad_dir/xmountains.xss
%config %xss_ad_dir/xplanet.xss
%config %xss_ad_dir/xsnow.xss
%config %_sysconfdir/X11/%name/%name.top
%config %_sysconfdir/X11/%name/%name.bottom
%attr(640,root,chkpwd) %config(noreplace) %_sysconfdir/pam.d/*
%attr(2711,root,chkpwd) %_bindir/%name
%_x11bindir/%name
%_bindir/%name-command
%_x11bindir/%name-command
%_bindir/%name-getimage
%_bindir/%name-getimage-file
%_bindir/%name-getimage-video
%_bindir/%name-text
%_bindir/update-%name
%_man1dir/%name.1*
%_man1dir/%name-command.1*
%_man1dir/%name-getimage.1*
%_man1dir/%name-getimage-file.1*
%_man1dir/%name-getimage-video.1*
%_man1dir/%name-text.1*

%dir %_datadir/%name
%_datadir/%name/*
%exclude %xss_conf_dir
%dir %xss_conf_dir
%dir %xss_hack_dir

%xss_hack_dir/ljlatest
%_man1dir/ljlatest.1*

%files frontend -f %name.lang
%_bindir/%name-demo
%_x11bindir/%name-demo
%_man1dir/%name-demo.1*
%_datadir/applications/gnome-screensaver-properties.desktop
%_datadir/pixmaps/%name.xpm
%_menudir/%name-frontend

%files devel
%_sysconfdir/rpm/macros.d/%name

%files hacks
%config %xss_ad_dir/anemone.xss
%xss_hack_dir/anemone
%xss_conf_dir/anemone.xml
%_man1dir/anemone.1*

%config %xss_ad_dir/anemotaxis.xss
%xss_hack_dir/anemotaxis
%xss_conf_dir/anemotaxis.xml
%_man1dir/anemotaxis.1*

%config %xss_ad_dir/ant.xss
%xss_hack_dir/ant
%xss_conf_dir/ant.xml
%_man1dir/ant.1*

%config %xss_ad_dir/apollonian.xss
%xss_hack_dir/apollonian
%xss_conf_dir/apollonian.xml
%_man1dir/apollonian.1*

%config %xss_ad_dir/apple2.xss
%xss_hack_dir/apple2
%xss_conf_dir/apple2.xml
%_man1dir/apple2.1*

%config %xss_ad_dir/attraction.xss
%xss_hack_dir/attraction
%xss_conf_dir/attraction.xml
%_man1dir/attraction.1*

%config %xss_ad_dir/barcode.xss
%xss_hack_dir/barcode
%xss_conf_dir/barcode.xml
%_man1dir/barcode.1*

%config %xss_ad_dir/blaster.xss
%xss_hack_dir/blaster
%xss_conf_dir/blaster.xml
%_man1dir/blaster.1*

%config %xss_ad_dir/blitspin.xss
%xss_hack_dir/blitspin
%xss_conf_dir/blitspin.xml
%_man1dir/blitspin.1*

%config %xss_ad_dir/bouboule.xss
%xss_hack_dir/bouboule
%xss_conf_dir/bouboule.xml
%_man1dir/bouboule.1*

%config %xss_ad_dir/boxfit.xss
%xss_hack_dir/boxfit
%xss_conf_dir/boxfit.xml
%_man1dir/boxfit.1*

%config %xss_ad_dir/braid.xss
%xss_hack_dir/braid
%xss_conf_dir/braid.xml
%_man1dir/braid.1*

%config %xss_ad_dir/bsod.xss
%xss_hack_dir/bsod
%xss_conf_dir/bsod.xml
%_man1dir/bsod.1*

%config %xss_ad_dir/bubbles.xss
%xss_hack_dir/bubbles
%xss_conf_dir/bubbles.xml
%_man1dir/bubbles.1*

%config %xss_ad_dir/bumps.xss
%xss_hack_dir/bumps
%xss_conf_dir/bumps.xml
%_man1dir/bumps.1*

%config %xss_ad_dir/ccurve.xss
%xss_hack_dir/ccurve
%xss_conf_dir/ccurve.xml
%_man1dir/ccurve.1*

%config %xss_ad_dir/cloudlife.xss
%xss_hack_dir/cloudlife
%xss_conf_dir/cloudlife.xml
%_man1dir/cloudlife.1*

%config %xss_ad_dir/compass.xss
%xss_hack_dir/compass
%xss_conf_dir/compass.xml
%_man1dir/compass.1*

%config %xss_ad_dir/coral.xss
%xss_hack_dir/coral
%xss_conf_dir/coral.xml
%_man1dir/coral.1*

%config %xss_ad_dir/critical.xss
%xss_hack_dir/critical
%xss_conf_dir/critical.xml
%_man1dir/critical.1*

%config %xss_ad_dir/crystal.xss
%xss_hack_dir/crystal
%xss_conf_dir/crystal.xml
%_man1dir/crystal.1*

%config %xss_ad_dir/cynosure.xss
%xss_hack_dir/cynosure
%xss_conf_dir/cynosure.xml
%_man1dir/cynosure.1*

%config %xss_ad_dir/decayscreen.xss
%xss_hack_dir/decayscreen
%xss_conf_dir/decayscreen.xml
%_man1dir/decayscreen.1*

%config %xss_ad_dir/deco.xss
%xss_hack_dir/deco
%xss_conf_dir/deco.xml
%_man1dir/deco.1*

%config %xss_ad_dir/deluxe.xss
%xss_hack_dir/deluxe
%xss_conf_dir/deluxe.xml
%_man1dir/deluxe.1*

%config %xss_ad_dir/demon.xss
%xss_hack_dir/demon
%xss_conf_dir/demon.xml
%_man1dir/demon.1*

%config %xss_ad_dir/discrete.xss
%xss_hack_dir/discrete
%xss_conf_dir/discrete.xml
%_man1dir/discrete.1*

%config %xss_ad_dir/distort.xss
%xss_hack_dir/distort
%xss_conf_dir/distort.xml
%_man1dir/distort.1*

%config %xss_ad_dir/drift.xss
%xss_hack_dir/drift
%xss_conf_dir/drift.xml
%_man1dir/drift.1*

%config %xss_ad_dir/epicycle.xss
%xss_hack_dir/epicycle
%xss_conf_dir/epicycle.xml
%_man1dir/epicycle.1*

%config %xss_ad_dir/eruption.xss
%xss_hack_dir/eruption
%xss_conf_dir/eruption.xml
%_man1dir/eruption.1*

%config %xss_ad_dir/euler2d.xss
%xss_hack_dir/euler2d
%xss_conf_dir/euler2d.xml
%_man1dir/euler2d.1*

%config %xss_ad_dir/fadeplot.xss
%xss_hack_dir/fadeplot
%xss_conf_dir/fadeplot.xml
%_man1dir/fadeplot.1*

%config %xss_ad_dir/fiberlamp.xss
%xss_hack_dir/fiberlamp
%xss_conf_dir/fiberlamp.xml
%_man1dir/fiberlamp.1*

%config %xss_ad_dir/fireworkx.xss
%xss_hack_dir/fireworkx
%xss_conf_dir/fireworkx.xml
%_man1dir/fireworkx.1*

%config %xss_ad_dir/flag.xss
%xss_hack_dir/flag
%xss_conf_dir/flag.xml
%_man1dir/flag.1*

%config %xss_ad_dir/flame.xss
%xss_hack_dir/flame
%xss_conf_dir/flame.xml
%_man1dir/flame.1*

%config %xss_ad_dir/flow.xss
%xss_hack_dir/flow
%xss_conf_dir/flow.xml
%_man1dir/flow.1*

%config %xss_ad_dir/fluidballs.xss
%xss_hack_dir/fluidballs
%xss_conf_dir/fluidballs.xml
%_man1dir/fluidballs.1*

%config %xss_ad_dir/fontglide.xss
%xss_hack_dir/fontglide
%xss_conf_dir/fontglide.xml
%_man1dir/fontglide.1*

%config %xss_ad_dir/forest.xss
%xss_hack_dir/forest
%xss_conf_dir/forest.xml
%_man1dir/forest.1*

%config %xss_ad_dir/fuzzyflakes.xss
%xss_hack_dir/fuzzyflakes
%xss_conf_dir/fuzzyflakes.xml
%_man1dir/fuzzyflakes.1*

%config %xss_ad_dir/galaxy.xss
%xss_hack_dir/galaxy
%xss_conf_dir/galaxy.xml
%_man1dir/galaxy.1*

%config %xss_ad_dir/goop.xss
%xss_hack_dir/goop
%xss_conf_dir/goop.xml
%_man1dir/goop.1*

%config %xss_ad_dir/grav.xss
%xss_hack_dir/grav
%xss_conf_dir/grav.xml
%_man1dir/grav.1*

%config %xss_ad_dir/greynetic.xss
%xss_hack_dir/greynetic
%xss_conf_dir/greynetic.xml
%_man1dir/greynetic.1*

%config %xss_ad_dir/halftone.xss
%xss_hack_dir/halftone
%xss_conf_dir/halftone.xml
%_man1dir/halftone.1*

%config %xss_ad_dir/halo.xss
%xss_hack_dir/halo
%xss_conf_dir/halo.xml
%_man1dir/halo.1*

%config %xss_ad_dir/helix.xss
%xss_hack_dir/helix
%xss_conf_dir/helix.xml
%_man1dir/helix.1*

%config %xss_ad_dir/hopalong.xss
%xss_hack_dir/hopalong
%xss_conf_dir/hopalong.xml
%_man1dir/hopalong.1*

%config %xss_ad_dir/hyperball.xss
%xss_hack_dir/hyperball
%xss_conf_dir/hyperball.xml
%_man1dir/hyperball.1*

%config %xss_ad_dir/hypercube.xss
%xss_hack_dir/hypercube
%xss_conf_dir/hypercube.xml
%_man1dir/hypercube.1*

%config %xss_ad_dir/ifs.xss
%xss_hack_dir/ifs
%xss_conf_dir/ifs.xml
%_man1dir/ifs.1*

%config %xss_ad_dir/imsmap.xss
%xss_hack_dir/imsmap
%xss_conf_dir/imsmap.xml
%_man1dir/imsmap.1*

%config %xss_ad_dir/interaggregate.xss
%xss_hack_dir/interaggregate
%xss_conf_dir/interaggregate.xml
%_man1dir/interaggregate.1*

%config %xss_ad_dir/interference.xss
%xss_hack_dir/interference
%xss_conf_dir/interference.xml
%_man1dir/interference.1*

%config %xss_ad_dir/intermomentary.xss
%xss_hack_dir/intermomentary
%xss_conf_dir/intermomentary.xml
%_man1dir/intermomentary.1*

%config %xss_ad_dir/jigsaw.xss
%xss_hack_dir/jigsaw
%xss_conf_dir/jigsaw.xml
%_man1dir/jigsaw.1*

%config %xss_ad_dir/juggle.xss
%xss_hack_dir/juggle
%xss_conf_dir/juggle.xml
%_man1dir/juggle.1*

%config %xss_ad_dir/julia.xss
%xss_hack_dir/julia
%xss_conf_dir/julia.xml
%_man1dir/julia.1*

%config %xss_ad_dir/kaleidescope.xss
%xss_hack_dir/kaleidescope
%xss_conf_dir/kaleidescope.xml
%_man1dir/kaleidescope.1*

%config %xss_ad_dir/kumppa.xss
%xss_hack_dir/kumppa
%xss_conf_dir/kumppa.xml
%_man1dir/kumppa.1*

%config %xss_ad_dir/laser.xss
%xss_hack_dir/laser
%xss_conf_dir/laser.xml
%_man1dir/laser.1*

%config %xss_ad_dir/lightning.xss
%xss_hack_dir/lightning
%xss_conf_dir/lightning.xml
%_man1dir/lightning.1*

%config %xss_ad_dir/lisa.xss
%xss_hack_dir/lisa
%xss_conf_dir/lisa.xml
%_man1dir/lisa.1*

%config %xss_ad_dir/lissie.xss
%xss_hack_dir/lissie
%xss_conf_dir/lissie.xml
%_man1dir/lissie.1*

%config %xss_ad_dir/lmorph.xss
%xss_hack_dir/lmorph
%xss_conf_dir/lmorph.xml
%_man1dir/lmorph.1*

%config %xss_ad_dir/loop.xss
%xss_hack_dir/loop
%xss_conf_dir/loop.xml
%_man1dir/loop.1*

%config %xss_ad_dir/maze.xss
%xss_hack_dir/maze
%xss_conf_dir/maze.xml
%_man1dir/maze.1*

%config %xss_ad_dir/memscroller.xss
%xss_hack_dir/memscroller
%xss_conf_dir/memscroller.xml
%_man1dir/memscroller.1*

%config %xss_ad_dir/metaballs.xss
%xss_hack_dir/metaballs
%xss_conf_dir/metaballs.xml
%_man1dir/metaballs.1*

%config %xss_ad_dir/mismunch.xss
%xss_hack_dir/mismunch
%xss_conf_dir/mismunch.xml
%_man1dir/mismunch.1*

%config %xss_ad_dir/moire.xss
%xss_hack_dir/moire
%xss_conf_dir/moire.xml
%_man1dir/moire.1*

%config %xss_ad_dir/moire2.xss
%xss_hack_dir/moire2
%xss_conf_dir/moire2.xml
%_man1dir/moire2.1*

%config %xss_ad_dir/mountain.xss
%xss_hack_dir/mountain
%xss_conf_dir/mountain.xml
%_man1dir/mountain.1*

%config %xss_ad_dir/munch.xss
%xss_hack_dir/munch
%xss_conf_dir/munch.xml
%_man1dir/munch.1*

%config %xss_ad_dir/nerverot.xss
%xss_hack_dir/nerverot
%xss_conf_dir/nerverot.xml
%_man1dir/nerverot.1*

%config %xss_ad_dir/noseguy.xss
%xss_hack_dir/noseguy
%xss_conf_dir/noseguy.xml
%_man1dir/noseguy.1*

%config %xss_ad_dir/pacman.xss
%xss_hack_dir/pacman
%xss_conf_dir/pacman.xml
%_man1dir/pacman.1*

%config %xss_ad_dir/pedal.xss
%xss_hack_dir/pedal
%xss_conf_dir/pedal.xml
%_man1dir/pedal.1*

%config %xss_ad_dir/penetrate.xss
%xss_hack_dir/penetrate
%xss_conf_dir/penetrate.xml
%_man1dir/penetrate.1*

%config %xss_ad_dir/penrose.xss
%xss_hack_dir/penrose
%xss_conf_dir/penrose.xml
%_man1dir/penrose.1*

%config %xss_ad_dir/petri.xss
%xss_hack_dir/petri
%xss_conf_dir/petri.xml
%_man1dir/petri.1*

%config %xss_ad_dir/phosphor.xss
%xss_hack_dir/phosphor
%xss_conf_dir/phosphor.xml
%_man1dir/phosphor.1*

%config %xss_ad_dir/piecewise.xss
%xss_hack_dir/piecewise
%xss_conf_dir/piecewise.xml
%_man1dir/piecewise.1*

%config %xss_ad_dir/polyominoes.xss
%xss_hack_dir/polyominoes
%xss_conf_dir/polyominoes.xml
%_man1dir/polyominoes.1*

%config %xss_ad_dir/pong.xss
%xss_hack_dir/pong
%xss_conf_dir/pong.xml
%_man1dir/pong.1*

%config %xss_ad_dir/popsquares.xss
%xss_hack_dir/popsquares
%xss_conf_dir/popsquares.xml
#_x11mandir/man1/popsquares.1*

%config %xss_ad_dir/pyro.xss
%xss_hack_dir/pyro
%xss_conf_dir/pyro.xml
%_man1dir/pyro.1*

%config %xss_ad_dir/qix.xss
%xss_hack_dir/qix
%xss_conf_dir/qix.xml
%_man1dir/qix.1*

%config %xss_ad_dir/rd-bomb.xss
%xss_hack_dir/rd-bomb
%xss_conf_dir/rd-bomb.xml
%_man1dir/rd-bomb.1*

%config %xss_ad_dir/ripples.xss
%xss_hack_dir/ripples
%xss_conf_dir/ripples.xml
%_man1dir/ripples.1*

%config %xss_ad_dir/rocks.xss
%xss_hack_dir/rocks
%xss_conf_dir/rocks.xml
%_man1dir/rocks.1*

%config %xss_ad_dir/rorschach.xss
%xss_hack_dir/rorschach
%xss_conf_dir/rorschach.xml
%_man1dir/rorschach.1*

%config %xss_ad_dir/rotor.xss
%xss_hack_dir/rotor
%xss_conf_dir/rotor.xml
%_man1dir/rotor.1*

%config %xss_ad_dir/rotzoomer.xss
%xss_hack_dir/rotzoomer
%xss_conf_dir/rotzoomer.xml
%_man1dir/rotzoomer.1*

%config %xss_ad_dir/shadebobs.xss
%xss_hack_dir/shadebobs
%xss_conf_dir/shadebobs.xml
%_man1dir/shadebobs.1*

%config %xss_ad_dir/sierpinski.xss
%xss_hack_dir/sierpinski
%xss_conf_dir/sierpinski.xml
%_man1dir/sierpinski.1*

%config %xss_ad_dir/slidescreen.xss
%xss_hack_dir/slidescreen
%xss_conf_dir/slidescreen.xml
%_man1dir/slidescreen.1*

%config %xss_ad_dir/slip.xss
%xss_hack_dir/slip
%xss_conf_dir/slip.xml
%_man1dir/slip.1*

%config %xss_ad_dir/sonar.xss
%xss_hack_dir/sonar
%xss_conf_dir/sonar.xml
%_man1dir/sonar.1*

%config %xss_ad_dir/speedmine.xss
%xss_hack_dir/speedmine
%xss_conf_dir/speedmine.xml
%_man1dir/speedmine.1*

%config %xss_ad_dir/sphere.xss
%xss_hack_dir/sphere
%xss_conf_dir/sphere.xml
%_man1dir/sphere.1*

%config %xss_ad_dir/spiral.xss
%xss_hack_dir/spiral
%xss_conf_dir/spiral.xml
%_man1dir/spiral.1*

%config %xss_ad_dir/spotlight.xss
%xss_hack_dir/spotlight
%xss_conf_dir/spotlight.xml
%_man1dir/spotlight.1*

%config %xss_ad_dir/squiral.xss
%xss_hack_dir/squiral
%xss_conf_dir/squiral.xml
%_man1dir/squiral.1*

%config %xss_ad_dir/starfish.xss
%xss_hack_dir/starfish
%xss_conf_dir/starfish.xml
%_man1dir/starfish.1*

%config %xss_ad_dir/strange.xss
%xss_hack_dir/strange
%xss_conf_dir/strange.xml
%_man1dir/strange.1*

%config %xss_ad_dir/substrate.xss
%xss_hack_dir/substrate
%xss_conf_dir/substrate.xml
%_man1dir/substrate.1*

%config %xss_ad_dir/swirl.xss
%xss_hack_dir/swirl
%xss_conf_dir/swirl.xml
%_man1dir/swirl.1*

%config %xss_ad_dir/t3d.xss
%xss_hack_dir/t3d
%xss_conf_dir/t3d.xml
%_man1dir/t3d.1*

%config %xss_ad_dir/thornbird.xss
%xss_hack_dir/thornbird
%xss_conf_dir/thornbird.xml
%_man1dir/thornbird.1*

%config %xss_ad_dir/triangle.xss
%xss_hack_dir/triangle
%xss_conf_dir/triangle.xml
%_man1dir/triangle.1*

%config %xss_ad_dir/truchet.xss
%xss_hack_dir/truchet
%xss_conf_dir/truchet.xml
%_man1dir/truchet.1*

%config %xss_ad_dir/twang.xss
%xss_hack_dir/twang
%xss_conf_dir/twang.xml
%_man1dir/twang.1*

%config %xss_ad_dir/vermiculate.xss
%xss_hack_dir/vermiculate
%xss_conf_dir/vermiculate.xml
%_man1dir/vermiculate.1*

%config %xss_ad_dir/vidwhacker.xss
%xss_hack_dir/vidwhacker
%xss_conf_dir/vidwhacker.xml
%_man1dir/vidwhacker.1*

%config %xss_ad_dir/vines.xss
%xss_hack_dir/vines
%xss_conf_dir/vines.xml
%_man1dir/vines.1*

%config %xss_ad_dir/wander.xss
%xss_hack_dir/wander
%xss_conf_dir/wander.xml
%_man1dir/wander.1*

%config %xss_ad_dir/webcollage.xss
%xss_hack_dir/webcollage
#xss_hack_dir/webcollage-helper
%xss_conf_dir/webcollage.xml
%_man1dir/webcollage.1*

%config %xss_ad_dir/whirlwindwarp.xss
%xss_hack_dir/whirlwindwarp
%xss_conf_dir/whirlwindwarp.xml
%_man1dir/whirlwindwarp.1*

%config %xss_ad_dir/whirlygig.xss
%xss_hack_dir/whirlygig
%xss_conf_dir/whirlygig.xml
%_man1dir/whirlygig.1*

%config %xss_ad_dir/worm.xss
%xss_hack_dir/worm
%xss_conf_dir/worm.xml
%_man1dir/worm.1*

%config %xss_ad_dir/wormhole.xss
%xss_hack_dir/wormhole
%xss_conf_dir/wormhole.xml
%_man1dir/wormhole.1*

%config %xss_ad_dir/xanalogtv.xss
%xss_hack_dir/xanalogtv
%xss_conf_dir/xanalogtv.xml
%_man1dir/xanalogtv.1*

%config %xss_ad_dir/xflame.xss
%xss_hack_dir/xflame
%xss_conf_dir/xflame.xml
%_man1dir/xflame.1*

%config %xss_ad_dir/xjack.xss
%xss_hack_dir/xjack
%xss_conf_dir/xjack.xml
%_man1dir/xjack.1*

%config %xss_ad_dir/xlyap.xss
%xss_hack_dir/xlyap
%xss_conf_dir/xlyap.xml
%_man1dir/xlyap.1*

%config %xss_ad_dir/xmatrix.xss
%xss_hack_dir/xmatrix
%xss_conf_dir/xmatrix.xml
%_man1dir/xmatrix.1*

%config %xss_ad_dir/xrayswarm.xss
%xss_hack_dir/xrayswarm
%xss_conf_dir/xrayswarm.xml
%_man1dir/xrayswarm.1*

%config %xss_ad_dir/xspirograph.xss
%xss_hack_dir/xspirograph
%xss_conf_dir/xspirograph.xml
%_man1dir/xspirograph.1*

#config %xss_ad_dir/xsublim.xss
%xss_hack_dir/xsublim
%_man1dir/xsublim.1*

%config %xss_ad_dir/xteevee.xss
%xss_hack_dir/xteevee
%xss_conf_dir/xteevee.xml
%_man1dir/xteevee.1*

%config %xss_ad_dir/zoom.xss
%xss_hack_dir/zoom
%xss_conf_dir/zoom.xml
%_man1dir/zoom.1*

%files hacks-gl
%_bindir/%name-gl-helper
%_man1dir/%name-gl-helper.1*

%config %xss_ad_dir/antmaze.xss
%xss_hack_dir/antmaze
%xss_conf_dir/antmaze.xml
%_man1dir/antmaze.1*

%config %xss_ad_dir/antinspect.xss
%xss_hack_dir/antinspect
%xss_conf_dir/antinspect.xml
%_man1dir/antinspect.1*

%config %xss_ad_dir/antspotlight.xss
%xss_hack_dir/antspotlight
%xss_conf_dir/antspotlight.xml
%_man1dir/antspotlight.1*

%config %xss_ad_dir/atlantis.xss
%xss_hack_dir/atlantis
%xss_conf_dir/atlantis.xml
%_man1dir/atlantis.1*

%config %xss_ad_dir/atunnel.xss
%xss_hack_dir/atunnel
%xss_conf_dir/atunnel.xml
%_man1dir/atunnel.1*

%config %xss_ad_dir/blinkbox.xss
%xss_hack_dir/blinkbox
%xss_conf_dir/blinkbox.xml
%_man1dir/blinkbox.1*

%config %xss_ad_dir/blocktube.xss
%xss_hack_dir/blocktube
%xss_conf_dir/blocktube.xml
%_man1dir/blocktube.1*

%config %xss_ad_dir/boing.xss
%xss_hack_dir/boing
%xss_conf_dir/boing.xml
%_man1dir/boing.1*

%config %xss_ad_dir/bouncingcow.xss
%xss_hack_dir/bouncingcow
%xss_conf_dir/bouncingcow.xml
%_man1dir/bouncingcow.1*

%config %xss_ad_dir/boxed.xss
%xss_hack_dir/boxed
%xss_conf_dir/boxed.xml
%_man1dir/boxed.1*

%config %xss_ad_dir/bubble3d.xss
%xss_hack_dir/bubble3d
%xss_conf_dir/bubble3d.xml
%_man1dir/bubble3d.1*

%config %xss_ad_dir/cage.xss
%xss_hack_dir/cage
%xss_conf_dir/cage.xml
%_man1dir/cage.1*

%config %xss_ad_dir/carousel.xss
%xss_hack_dir/carousel
%xss_conf_dir/carousel.xml
%_man1dir/carousel.1*

%config %xss_ad_dir/circuit.xss
%xss_hack_dir/circuit
%xss_conf_dir/circuit.xml
%_man1dir/circuit.1*

%config %xss_ad_dir/crackberg.xss
%xss_hack_dir/crackberg
%xss_conf_dir/crackberg.xml
%_man1dir/crackberg.1*

%config %xss_ad_dir/cubenetic.xss
%xss_hack_dir/cubenetic
%xss_conf_dir/cubenetic.xml
%_man1dir/cubenetic.1*

%config %xss_ad_dir/cubestorm.xss
%xss_hack_dir/cubestorm
%xss_conf_dir/cubestorm.xml
%_man1dir/cubestorm.1*

%config %xss_ad_dir/dangerball.xss
%xss_hack_dir/dangerball
%xss_conf_dir/dangerball.xml
%_man1dir/dangerball.1*

%config %xss_ad_dir/endgame.xss
%xss_hack_dir/endgame
%xss_conf_dir/endgame.xml
%_man1dir/endgame.1*

%config %xss_ad_dir/engine.xss
%xss_hack_dir/engine
%xss_conf_dir/engine.xml
%_man1dir/engine.1*

%config %xss_ad_dir/extrusion.xss
%xss_hack_dir/extrusion
%xss_conf_dir/extrusion.xml
%_man1dir/extrusion.1*

%config %xss_ad_dir/flipflop.xss
%xss_hack_dir/flipflop
%xss_conf_dir/flipflop.xml
%_man1dir/flipflop.1*

%config %xss_ad_dir/flipscreen3d.xss
%xss_hack_dir/flipscreen3d
%xss_conf_dir/flipscreen3d.xml
%_man1dir/flipscreen3d.1*

%config %xss_ad_dir/fliptext.xss
%xss_hack_dir/fliptext
%xss_conf_dir/fliptext.xml
%_man1dir/fliptext.1*

%config %xss_ad_dir/flurry.xss
%xss_hack_dir/flurry
%xss_conf_dir/flurry.xml
%_man1dir/flurry.1*

%config %xss_ad_dir/flyingtoasters.xss
%xss_hack_dir/flyingtoasters
%xss_conf_dir/flyingtoasters.xml
%_man1dir/flyingtoasters.1*

%config %xss_ad_dir/gears.xss
%xss_hack_dir/gears
%xss_conf_dir/gears.xml
%_man1dir/gears.1*

%config %xss_ad_dir/gflux.xss
%xss_hack_dir/gflux
%xss_conf_dir/gflux.xml
%_man1dir/gflux.1*

%config %xss_ad_dir/glblur.xss
%xss_hack_dir/glblur
%xss_conf_dir/glblur.xml
%_man1dir/glblur.1*

%config %xss_ad_dir/gleidescope.xss
%xss_hack_dir/gleidescope
%xss_conf_dir/gleidescope.xml
%_man1dir/gleidescope.1*

%config %xss_ad_dir/glforestfire.xss
%xss_hack_dir/glforestfire
%xss_conf_dir/glforestfire.xml
%_man1dir/glforestfire.1*

%config %xss_ad_dir/glknots.xss
%xss_hack_dir/glknots
%xss_conf_dir/glknots.xml
%_man1dir/glknots.1*

%config %xss_ad_dir/glmatrix.xss
%xss_hack_dir/glmatrix
%xss_conf_dir/glmatrix.xml
%_man1dir/glmatrix.1*

%config %xss_ad_dir/glplanet.xss
%xss_hack_dir/glplanet
%xss_conf_dir/glplanet.xml
%_man1dir/glplanet.1*

%config %xss_ad_dir/glslideshow.xss
%xss_hack_dir/glslideshow
%xss_conf_dir/glslideshow.xml
%_man1dir/glslideshow.1*

%config %xss_ad_dir/glsnake.xss
%xss_hack_dir/glsnake
%xss_conf_dir/glsnake.xml
%_man1dir/glsnake.1*

%config %xss_ad_dir/gltext.xss
%xss_hack_dir/gltext
%xss_conf_dir/gltext.xml
%_man1dir/gltext.1*

%config %xss_ad_dir/hypertorus.xss
%xss_hack_dir/hypertorus
%xss_conf_dir/hypertorus.xml
%_man1dir/hypertorus.1*

%config %xss_ad_dir/jigglypuff.xss
%xss_hack_dir/jigglypuff
%xss_conf_dir/jigglypuff.xml
%_man1dir/jigglypuff.1*

%config %xss_ad_dir/klein.xss
%xss_hack_dir/klein
%xss_conf_dir/klein.xml
%_man1dir/klein.1*

%config %xss_ad_dir/lament.xss
%xss_hack_dir/lament
%xss_conf_dir/lament.xml
%_man1dir/lament.1*

%config %xss_ad_dir/lavalite.xss
%xss_hack_dir/lavalite
%xss_conf_dir/lavalite.xml
%_man1dir/lavalite.1*

%config %xss_ad_dir/menger.xss
%xss_hack_dir/menger
%xss_conf_dir/menger.xml
%_man1dir/menger.1*

%config %xss_ad_dir/mirrorblob.xss
%xss_hack_dir/mirrorblob
%xss_conf_dir/mirrorblob.xml
%_man1dir/mirrorblob.1*

%config %xss_ad_dir/moebius.xss
%xss_hack_dir/moebius
%xss_conf_dir/moebius.xml
%_man1dir/moebius.1*

%config %xss_ad_dir/molecule.xss
%xss_hack_dir/molecule
%xss_conf_dir/molecule.xml
%_man1dir/molecule.1*

%config %xss_ad_dir/morph3d.xss
%xss_hack_dir/morph3d
%xss_conf_dir/morph3d.xml
%_man1dir/morph3d.1*

%config %xss_ad_dir/noof.xss
%xss_hack_dir/noof
%xss_conf_dir/noof.xml
%_man1dir/noof.1*

%config %xss_ad_dir/pinion.xss
%xss_hack_dir/pinion
%xss_conf_dir/pinion.xml
%_man1dir/pinion.1*

%config %xss_ad_dir/pipes.xss
%xss_hack_dir/pipes
%xss_conf_dir/pipes.xml
%_man1dir/pipes.1*

%config %xss_ad_dir/polyhedra.xss
%xss_hack_dir/polyhedra
%xss_conf_dir/polyhedra.xml
%_man1dir/polyhedra.1*

%config %xss_ad_dir/polytopes.xss
%xss_hack_dir/polytopes
%xss_conf_dir/polytopes.xml
%_man1dir/polytopes.1*

%config %xss_ad_dir/providence.xss
%xss_hack_dir/providence
%xss_conf_dir/providence.xml
%_man1dir/providence.1*

%config %xss_ad_dir/pulsar.xss
%xss_hack_dir/pulsar
%xss_conf_dir/pulsar.xml
%_man1dir/pulsar.1*

%config %xss_ad_dir/queens.xss
%xss_hack_dir/queens
%xss_conf_dir/queens.xml
%_man1dir/queens.1*

%config %xss_ad_dir/rubik.xss
%xss_hack_dir/rubik
%xss_conf_dir/rubik.xml
%_man1dir/rubik.1*

%config %xss_ad_dir/sballs.xss
%xss_hack_dir/sballs
%xss_conf_dir/sballs.xml
%_man1dir/sballs.1*

%config %xss_ad_dir/sierpinski3d.xss
%xss_hack_dir/sierpinski3d
%xss_conf_dir/sierpinski3d.xml
%_man1dir/sierpinski3d.1*

%config %xss_ad_dir/spheremonics.xss
%xss_hack_dir/spheremonics
%xss_conf_dir/spheremonics.xml
%_man1dir/spheremonics.1*

%config %xss_ad_dir/sproingies.xss
%xss_hack_dir/sproingies
%xss_conf_dir/sproingies.xml
%_man1dir/sproingies.1*

%config %xss_ad_dir/stairs.xss
%xss_hack_dir/stairs
%xss_conf_dir/stairs.xml
%_man1dir/stairs.1*

%config %xss_ad_dir/starwars.xss
%xss_hack_dir/starwars
%xss_conf_dir/starwars.xml
%_man1dir/starwars.1*

%config %xss_ad_dir/stonerview.xss
%xss_hack_dir/stonerview
%xss_conf_dir/stonerview.xml
%_man1dir/stonerview.1*

%config %xss_ad_dir/superquadrics.xss
%xss_hack_dir/superquadrics
%xss_conf_dir/superquadrics.xml
%_man1dir/superquadrics.1*

%config %xss_ad_dir/tangram.xss
%xss_hack_dir/tangram
%xss_conf_dir/tangram.xml
%_man1dir/tangram.1*

%changelog
* Fri Aug 12 2005 Sir Raorn <raorn@altlinux.ru> 4.22-alt2
- Eliminated double-free in xscreensaver-demo
- Added compatibility symlinks to xscreensaver, xscreensaver-command
  and xscreensaver-demo (closes: #7617)
- Reviewed %%update_xscreensaver and %%clean_xscreensaver macros to
  run only after uninstall of old package

* Tue Aug 02 2005 Sir Raorn <raorn@altlinux.ru> 4.22-alt1
- [4.22]
- Updated patches:
  + alt-mdk-oneshot
  + alt-perl-disable-diagnostics
- New filesystem layout:
  + /usr/X11R6/bin -> /usr/bin
  + /usr/X11R6/lib/xscreensaver -> /usr/libexec/xscreensaver
  + /usr/X11R6/lib/xscreensaver/config -> /usr/share/xscreensaver/config
- gnome subpackage removed (ancient GNOME versions support dropped in upstream)
- contrib subpackage removed (xml files for foreign hacks was dropped
  in upstream, *.xss files comes into main package)
- New hacks:
  + antmaze (GL)
  + crackberg (GL)
  + fliptext (GL)
  + interaggregate
  + tangram (GL)

* Sun Feb 27 2005 Sir Raorn <raorn@altlinux.ru> 4.20-alt1
- [4.20]
- Removed obsolete GNOME stuff
- Removed KDE support (it doesn't work with KDE3 anyway)
- Use freedesktop2menu.pl for menu generation
- New hacks:
  boing (GL)
  boxfit
  carousel (GL)
  fiberlamp

* Thu Dec 16 2004 Sir Raorn <raorn@altlinux.ru> 4.19-alt1
- [4.19]
- Disabled buggy MIT-SCREEN-SAVER extension
- New hacks:
  fireworkx
  intermomentary
  pinion (GL)
  substrate

* Mon Oct 04 2004 Sir Raorn <raorn@altlinux.ru> 4.18-alt2
- Fixed typo in providence.xss (closes: #5280)

* Mon Aug 16 2004 Sir Raorn <raorn@altlinux.ru> 4.18-alt1
- [4.18]
- New hacks:
  anemotaxis
  memscroller

* Thu May 13 2004 Sir Raorn <raorn@altlinux.ru> 4.16-alt1
- [4.16]
- Fix deps in -kde (kdebase -> kdebase-common)
- Spec cleanup
- New hacks:
  antinspect (GL)
  fuzzyflakes
  polyhedra (GL)
  providence (GL)

* Tue Mar 02 2004 Sir Raorn <raorn@altlinux.ru> 4.15-alt1
- [4.15]
- New hacks:
  mismunch
  noof (GL)
  pacman
  wormhole

* Sun Nov 09 2003 Sir Raorn <raorn@altlinux.ru> 4.14-alt2
- Fixed insecure tempfile handling

* Tue Oct 28 2003 Sir Raorn <raorn@altlinux.ru> 4.14-alt1
- [4.14]
- New hacks:
  apple2
  blinkbox (GL)
  fontglide
  gleidescope (GL)
  mirrorblob (GL)
  pong
  xanalogtv

* Mon Sep 22 2003 Sir Raorn <raorn@altlinux.ru> 4.13-alt1
- [4.13]
- ljlatest helper (fortune(6) replacement - see man ljlatest)

* Sat Sep 06 2003 Sir Raorn <raorn@altlinux.ru> 4.12-alt1
- [4.12]
- New hacks:
  antspotlight (GL)
  fireflies (contrib)
  flipflop (GL)
  polytopes (GL)

* Wed Jul 02 2003 Sir Raorn <raorn@altlinux.ru> 4.11-alt1
- [4.11]
- Updated patches:
  alt-pam_userpass
  alt-encoding
  alt-glplanet-args
  alt-perl-disable-diagnostics
- New hacks:
  blocktube (GL)
  cloudlife
  cubestorm (GL)
  glknots (GL)
  glmatrix (GL)
  hypertorus (GL)
  klein (GL)

* Sat May 17 2003 Sir Raorn <raorn@altlinux.ru> 4.09-alt3
- Dropped pixbuf support (this removes daemon's dependency to
  libgtk+2)
- netpbm and libjpeg-utils are *required* by webcollage (-hacks)
- fortune-mod is really required by noseguy, phosphor and
  starwars (-hacks and -hacks-gl)

* Sat May 10 2003 Sir Raorn <raorn@altlinux.ru> 4.09-alt2
- xscreensaver-demo moved to -frontend subpackage
- Added xscreensaver-demo menu entry

* Mon Apr 14 2003 Sir Raorn <raorn@altlinux.ru> 4.09-alt1
- [4.09]
- Updated BuildRequires
- Split to xscreensaver, xscreensaver-hacks and xscreensaver-hacks-gl
- Replace chbg with xli in Requires
- Ignore missing hacks by default (suggested by rider)
- Use MIT-SCREEN-SAVER by default if available
- Set .loadURL program to url_handler.sh from urlview package
- Set .manualCommand to xvt ... -e sh -c man (get rid of fscking yelp)
- Fix glplanet's config and manpage (closes #0002399)
- Do not 'use diagnostics' in perl scripts since it (indirectly)
  requires perl-pod (reported by dfo)
- Split XScreenSaver AD to pieces 
  update-xscreensaver script
- RPM macros (in -devel)
- New hacks:
  bouncingcow (GL)
  extrusion (GLE)
  flyingtoasters (GL)
  glslideshow (GL)
  jigglypuff (GL)

* Mon Mar 10 2003 Sir Raorn <raorn@altlinux.ru> 4.08-alt1
- [4.08]
- mesa_version patch is no longer needed
- New hacks:
  atunnel (GL)
  barcode
  eruprion
  flurry (GL)
  metaballs
  piecewise
  popsquares
- Fix icon in -gnome
- XScreenSaver AD is no longer "noreplace"

* Tue Nov 19 2002 Sir Raorn <raorn@altlinux.ru> 4.06-alt2
- Added -contrib package
- Fixed filelist (all work and no sleep makes raorn a dull boy)
- Patch by Cyril "Sir Kot" Margorin <cyrilm@immo.ru>:
  Walk through Maze after solving it

* Sun Nov 17 2002 Sir Raorn <raorn@altlinux.ru> 4.06-alt1
- [4.06]
- Specfile rewritten from scratch
- Patches from 4.00-alt3:
  oneshot
  pam_userpass
  progname
- KDE and GNOME control panel applets




